library(iplots)
colnames(tpcc)
head(tpcc)

#Shows the "significance" of the benchmark
ibar(tpcc$releaseyear_rel)

#Shows the "big players"
levels(tpcc$vendor)
ibar(tpcc$vendor)
#Interaction: distribution of vendors in time (e.g. HP is ~constant; NEC "localized")

ihist(tpcc$tpmC)
#Not that meaningful in itself; however, selecting the "big bin" shows on the vendor
#histogram the vendors with HPC systems. The releaseyear histogram is also interesting.
#Also to show: effect of adding smaller bins to the big bin
#Just to show and play around with a bit:
ihist(log10(tpcc$tpmC))

#Close the last two histograms. Open:

#Compare readability with:
iplot(tpcc$release_date, tpcc$tpmC)
#Close this one.
#What are the outliers?
iset()[iset.selected()]

#Ok. What about e.g. the "bang for the buck"?
# Show: a) tpmC, b) tpmC/USD, c) est_price as a function of release year.
iplot(tpcc$releaseyear_rel, tpcc$price_tpmC_USD)
iplot(tpcc$releaseyear_rel,tpcc$est_price)

# To note: a) "bang for the buck" converges - however, the minimum seems to remain constant...
# Select the "top performers". Their price remains high; however, their "bang for buck"
# gets steadily better!
# The "cheapest server" (in the benchmark!!!) does not get any cheaper!
# (Btw. some numbers seem to be a bit off...)
# Also: the "most efficient" range gets better, too

iplot(tpcc$releaseyear_rel, tpcc$est_price, ylim=c(0, 1000000))

# If we do not look at the extreme performers, performance on the whole is on the rise:
iplot(tpcc$releaseyear_rel, tpcc$tpmC, ylim=c(0, 5000000))
ibox(tpcc$tpmC, tpcc$releaseyear_rel, ylim=c(0, 5000000))

#Database vendors? OS-s?
ibar(tpcc$database)

# Cscsteljestmny: jellemzen DB2 s Oracle
# A legkltsghatkonyabb tartomny: Dell/HP s MSSQL

ipcp(tpcc$releaseyear_rel, tpcc$vendor, tpcc$database, tpcc$tpmC, tpcc$price_tpmC_USD, tpcc$est_price)

# Mosaic plot
imosaic(tpcc$vendor, tpcc$database)

# Same bin size!
